"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createServer = void 0;
const StaticServer = require("static-server");
const findFreePort = require("find-free-port");
const STATIC_SERVER_PORTS = {
    FROM: 50000,
    TO: 51000,
};
async function createServer(rootPath, port) {
    const [freePort] = await findFreePort(STATIC_SERVER_PORTS.FROM, STATIC_SERVER_PORTS.TO);
    const server = new StaticServer({
        rootPath,
        port: port !== null && port !== void 0 ? port : freePort,
        cors: '*',
    });
    return new Promise((resolve) => {
        server.start(() => {
            resolve(server);
        });
    });
}
exports.createServer = createServer;
//# sourceMappingURL=index.js.map